#include <MeetAndroid.h> //library pour envoyé via bluetooth

MeetAndroid meetAndroid;

void setup() {
  
  Serial.begin(57600);
  
  analogReference(DEFAULT); //utilise le 5V pour les entrées analog
  pinMode(A0, INPUT);
  pinMode(A1, INPUT);
  pinMode(A2, INPUT); // entrée analog en IMPUT
  pinMode(A3, INPUT);
  pinMode(A4, INPUT);
  pinMode(A5, INPUT);
  
}
//**************************************************************************
  void loop() {
    
    meetAndroid.receive(); //necessaire pour communiquer avec l'android via meetAndroid
    
    //variables
    int main[8]; //position de la main
    
    //DATA BASE************************************************************
  int tabA[8]={0, 2, 2, 2, 2, 1, 0, 0}; //
  int tabB[8]={1, 0, 0, 0, 0, 1, 0, 0}; //
  int tabC[8]={1, 1, 1, 1, 1, 1, 0, 0}; //
  int tabD[8]={1, 0, 1, 1, 1, 0, 0, 0}; // 
  int tabE[8]={1, 2, 2, 2, 2, 0, 0, 0}; //
  int tabF[8]={0, 1, 0, 0, 0, 0, 0, 0}; //
  int tabG[8]={1, 0, 2, 2, 2, 0, 0, 0}; //
  int tabH[8]={0, 0, 2, 2, 0, 0, 0, 0}; //
  int tabI[8]={1, 2, 2, 2, 0, 1, 0, 0}; //
  int tabJ[8]={0, 2, 2, 2, 0, 1, 0, 0}; //
  int tabK[8]={0, 0, 1, 2, 2, 1, 0, 0}; //
  int tabL[8]={0, 0, 2, 2, 2, 0, 0, 0}; //
  int tabM[8]={0, 0, 0, 0, 0, 1, 0, 0}; //
  int tabN[8]={0, 0, 0, 2, 2, 1, 0, 0}; //
  int tabO[8]={1, 1, 1, 1, 1, 1, 0, 1}; 
  int tabP[8]={0, 0, 0, 2, 2, 0, 0, 0}; //
  int tabQ[8]={0, 0, 2, 2, 2, 0, 0, 0}; //
  int tabR[8]={0, 0, 0, 2, 2, 0, 1, 0}; 
  int tabS[8]={1, 2, 2, 2, 2, 1, 0, 0}; //
  int tabT[8]={0, 2, 0, 0, 0, 0, 0, 0}; //
  int tabU[8]={1, 0, 0, 2, 2, 1, 0, 0}; //
  int tabV[8]={1, 0, 0, 2, 2, 0, 0, 0}; //
  int tabW[8]={1, 0, 0, 0, 2, 0, 0, 0}; //
  int tabX[8]={1, 1, 1, 2, 2, 0, 0, 0}; //
  int tabY[8]={0, 2, 2, 2, 0, 0, 0, 0}; //
  int tabZ[8]={0, 0, 2, 2, 2, 1, 0, 0}; // 
  //int tabb[8]={0, 0, 0, 0, 0, 0, 0, 0};
  
  
  int comp=0; //compteur
  
  //On prend les positions des doigts via des TOR et fonctions
  main[0] = DoigtA();
  main[1] = DoigtB();
  main[2] = DoigtC();
  main[3] = DoigtD();
  main[4] = DoigtE();
  main[5] = digitalRead(10);
  main[6] = digitalRead(11);
  main[7] = digitalRead(12);
  
  //Test des lettres de A à Z
  
  //Compare la main avec les positions de la lettre A
  for (int i=0; i<8; i++) {
    if (main[i] == tabA[i]) { comp++;}
  }
  if (comp==8) { meetAndroid.send((char)'A'); }
  comp = 0;  
  
    //Compare la main avec les positions de la lettre B
  for (int i=0; i<8; i++) {
    if (main[i] == tabB[i]) { comp++;}
  }
  if (comp==8) { meetAndroid.send((char)'B'); }
  comp = 0;
  
    //Compare la main avec les positions de la lettre C
  for (int i=0; i<8; i++) {
    if (main[i] == tabC[i]) { comp++;}
  }
  if (comp==8) { meetAndroid.send((char)'C'); }
  comp = 0;
  
   //Compare la main avec les positions de la lettre D
  for (int i=0; i<8; i++) {
    if (main[i] == tabD[i]) { comp++;}
  }
  if (comp==8) { meetAndroid.send((char)'D'); }
  comp = 0;
  
   //Compare la main avec les positions de la lettre E
  for (int i=0; i<8; i++) {
    if (main[i] == tabE[i]) { comp++;}
  }
  if (comp==8) { meetAndroid.send((char)'E'); }
  comp = 0;
    
   //Compare la main avec les positions de la lettre F
  for (int i=0; i<8; i++) {
    if (main[i] == tabF[i]) { comp++;}
  }
  if (comp==8) { meetAndroid.send((char)'F'); }
  comp = 0;
    
   //Compare la main avec les positions de la lettre G
  for (int i=0; i<8; i++) {
    if (main[i] == tabG[i]) { comp++;}
  }
  if (comp==8) { meetAndroid.send((char)'G'); }
  comp = 0;
    
   //Compare la main avec les positions de la lettre H
  for (int i=0; i<8; i++) {
    if (main[i] == tabH[i]) { comp++;}
  }
  if (comp==8) { meetAndroid.send((char)'H'); }
  comp = 0;
    
   //Compare la main avec les positions de la lettre I
  for (int i=0; i<8; i++) {
    if (main[i] == tabI[i]) { comp++;}
  }
  if (comp==8) { meetAndroid.send((char)'I'); }
  comp = 0;
    
   //Compare la main avec les positions de la lettre J
  for (int i=0; i<8; i++) {
    if (main[i] == tabJ[i]) { comp++;}
  }
  if (comp==8) { meetAndroid.send((char)'J'); }
  comp = 0;
    
   //Compare la main avec les positions de la lettre K
  for (int i=0; i<8; i++) {
    if (main[i] == tabK[i]) { comp++;}
  }
  if (comp==8) { meetAndroid.send((char)'K'); }
  comp = 0;
    
   //Compare la main avec les positions de la lettre L
  for (int i=0; i<8; i++) {
    if (main[i] == tabL[i]) { comp++;}
  }
  if (comp==8) { meetAndroid.send((char)'L'); }
  comp = 0;
    
   //Compare la main avec les positions de la lettre M
  for (int i=0; i<8; i++) {
    if (main[i] == tabM[i]) { comp++;}
  }
  if (comp==8) { meetAndroid.send((char)'M'); }
  comp = 0;
    
   //Compare la main avec les positions de la lettre N
  for (int i=0; i<8; i++) {
    if (main[i] == tabN[i]) { comp++;}
  }
  if (comp==8) { meetAndroid.send((char)'N'); }
  comp = 0;
    
   //Compare la main avec les positions de la lettre O
  
    if (main[7] == tabO[7]) { comp++;}
  
  if (comp==1) { meetAndroid.send((char)'O'); }
  comp = 0;
    
   //Compare la main avec les positions de la lettre P
  for (int i=0; i<8; i++) {
    if (main[i] == tabP[i]) { comp++;}
  }
  if (comp==8) { meetAndroid.send((char)'P'); }
  comp = 0;
    
   //Compare la main avec les positions de la lettre Q
  for (int i=0; i<8; i++) {
    if (main[i] == tabQ[i]) { comp++;}
  }
  if (comp==8) { meetAndroid.send((char)'Q'); }
  comp = 0;
    
   //Compare la main avec les positions de la lettre R
  
    if (main[6] == tabR[6]) { comp++;}
  
  if (comp==1) { meetAndroid.send((char)'R'); }
  comp = 0;
    
   //Compare la main avec les positions de la lettre S
  for (int i=0; i<8; i++) {
    if (main[i] == tabS[i]) { comp++;}
  }
  if (comp==8) { meetAndroid.send((char)'S'); }
  comp = 0;
    
   //Compare la main avec les positions de la lettre T
  for (int i=0; i<8; i++) {
    if (main[i] == tabT[i]) { comp++;}
  }
  if (comp==8) { meetAndroid.send((char)'T'); }
  comp = 0;
    
   //Compare la main avec les positions de la lettre U
  for (int i=0; i<8; i++) {
    if (main[i] == tabU[i]) { comp++;}
  }
  if (comp==8) { meetAndroid.send((char)'U'); }
  comp = 0;
    
   //Compare la main avec les positions de la lettre V
  for (int i=0; i<8; i++) {
    if (main[i] == tabV[i]) { comp++;}
  }
  if (comp==8) { meetAndroid.send((char)'V'); }
  comp = 0;
    
   //Compare la main avec les positions de la lettre W
  for (int i=0; i<8; i++) {
    if (main[i] == tabW[i]) { comp++;}
  }
  if (comp==8) { meetAndroid.send((char)'W'); }
  comp = 0;
    
   //Compare la main avec les positions de la lettre X
  for (int i=0; i<8; i++) {
    if (main[i] == tabX[i]) { comp++;}
  }
  if (comp==8) { meetAndroid.send((char)'X'); }
  comp = 0;
    
   //Compare la main avec les positions de la lettre Y
  for (int i=0; i<8; i++) {
    if (main[i] == tabY[i]) { comp++;}
  }
  if (comp==8) { meetAndroid.send((char)'Y'); }
  comp = 0;
    
   //Compare la main avec les positions de la lettre Z
  for (int i=0; i<8; i++) {
    if (main[i] == tabZ[i]) { comp++;}
  }
  if (comp==8) { meetAndroid.send((char)'Z'); }
  comp = 0;
  
    //Compare la main avec les positions de la lettre b
  /*
  for (int i=0; i<8; i++) {
    if (main[i] == tabb[i]) { comp++;}
  }
  if (comp==8) { meetAndroid.send((char)'b'); }
  comp = 0;
  */
  
  delay(1000);
  }
  /***********************************************************************************
  ************************************************************************************
  ***********************************************************************************/
  
int DoigtA() {
  int Z;
  int valeurLue = analogRead(A0);
  
  if (valeurLue <=600) { Z=1; }
  else { Z=0; }
  
  return Z;
}
int DoigtB() {
  int Z;
  int valeurLue = analogRead(A1);
  
  if (valeurLue <=500) { Z=2; }
  else if (valeurLue <= 800) { Z=1; }
  else { Z=0; }
  
  return Z;
}
int DoigtC() {
  int Z;
  int valeurLue = analogRead(A2);
  
  if (valeurLue <= 500) { Z=2; }
  else if (valeurLue <= 800) { Z=1; }
  else { Z=0; }
  
  return Z;
}
int DoigtD() {
  int Z;
  int valeurLue = analogRead(A3);
  
  if (valeurLue <= 390) { Z=2; }
  else if (valeurLue <= 600) { Z=1; }
  else { Z=0; }
  
  return Z;
}
int DoigtE() {
  int Z;
  int valeurLue = analogRead(A4);
  
  if (valeurLue <= 615) { Z=2; }
  else if (valeurLue <= 890) { Z=1; }
  else { Z=0; }
  
  return Z;
}
